My Views on jQuery 2.x in 2014

jQuery 2.x does away with supporting Internet Explorer 6, 7 and 8.

A Web development and design world where one does not have to do special coding, workarounds and hacks to make it work with certain browser versions is appealing, and a dream of Web Standards.

I feel that the time of jQuery 2.x is yet to come. At the end of 2014, we are still not done with Internet Explorer (IE) 7 or 8. At the company where l work as a PHP Developer, we work to make things work on IE 7 and 8. And from a general reading of blogs of fellow programmers, I infer that users want support for these browsers.

All this is good l believe - for those who are ready, there is a possibly optimized library. Those who will wait for older IEs to die will have a polished library when we are ready include the 2.x versions.